.radiobutton {
    display: block;
    position: relative;
    padding: 10px 20px;
    cursor: pointer;
    border: 1px solid var(--line-secondary);
    transition: all 0.15s ease-out;
  }

  .radiobutton .radiobutton__title {
    position: relative;
    font-size: 14px;
    font-weight: bold;
    z-index: 1;
    color: var(--blue);
  }
  
  .radiobutton input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  .radiobutton .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: transparent;
    z-index: 0;
  }
  
  .radiobutton:hover {
      border-color: var(--blue);
  }

  .radiobutton:hover input ~ .checkmark {
    background-color: #F2FCFF;
  }
  
  .radiobutton input:checked ~ .checkmark {
    background-color: var(--blue);
  }

  .radiobutton input:checked ~ .radiobutton {
    background: red;
  }

  .radiobutton input:checked ~ .radiobutton__title {
    color: white;
  }